php-twig (3.22.1-3) unstable; urgency=medium

  * [Intl] Update data to ICU 78.1
  * Require recent php-symfony-intl for changed tests

 -- David Prévot <taffit@debian.org>  Fri, 05 Dec 2025 18:49:10 +0100

php-twig (3.22.1-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Mon, 17 Nov 2025 08:39:08 +0100

php-twig (3.22.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.22.1 release

  [ Javier Eguiluz ]
  * Allow Symfony 8 packages in Twig extra packages

  [ Andreas Erhard ]
  * Add caution note for random function usage

 -- David Prévot <taffit@debian.org>  Mon, 17 Nov 2025 08:12:49 +0100

php-twig (3.22.0-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 09:53:03 +0100

php-twig (3.22.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Fix compatibility layer
  * Update CHANGELOG

  [ Simon André ]
  * Compile 'index' with repr (not string) in EmbedNode

  [ Doeke Norg ]
  * Update configuration keys + allow extra keys for extensions

  [ Vincent Langlet ]
  * Support two words test guard

  [ Nicolas Grekas ]
  * Fix compatibility with Symfony 8
  * Fix accessing arrays with stringable objects as key

  [ Christophe Coevoet ]
  * Avoid errors when failing to guess the template info for an error

  [ David Prévot ]
  * Make phpab tolerant
  * debian/control: Document nocheck flags

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 09:35:31 +0100

php-twig (3.21.1-3) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sun, 21 Sep 2025 13:49:13 +0200

php-twig (3.21.1-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released
  * PHPunit 12 compatibility: additional fixes
  * Remove Rules-Requires-Root
  * Fix intl test

 -- David Prévot <taffit@debian.org>  Fri, 19 Sep 2025 11:59:25 +0200

php-twig (3.21.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Fabien Potencier ]
  * Introduce operator classes to describe operators provided by extensions
    instead of arrays
  * Fix testing and expression when it evaluates to an instance of Markup
  * Prepare the 3.21.1 release

  [ Jérôme Tamarelle ]
  * Create attributes `AsTwigFilter`, `AsTwigFunction` and `AsTwigTest` to
    ease extension development

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 03 May 2025 23:07:16 +0200

php-twig (3.20.0-2) unstable; urgency=medium

  * Restore autoload template building
  * Use php-parsedown 1 for tests

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 07:20:19 +0100

php-twig (3.20.0-1) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sat, 15 Feb 2025 16:18:25 +0100

php-twig (3.20.0-1~bootstrap) unstable; urgency=medium

  [ Doeke Norg ]
  * Added configuration for commonmark use in twig-extra-bundle.

  [ Fabien Potencier ]
  * Bump min PHP version to 8.1
  * Prepare the 3.20.0 release

  [ Christophe Coevoet ]
  * Add support for registered undefined element callbacks in tests
  * Fix support for ignoring syntax erros in an undefined handler in guard

  [ PrinsFrank ]
  * Fix timezone conversion on strings

  [ David Prévot ]
  * Compatibility with recent PHPUnit (12)

 -- David Prévot <taffit@debian.org>  Sat, 15 Feb 2025 15:55:48 +0100

php-twig (3.19.0-1) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 23:32:18 +0100

php-twig (3.19.0-1~bootstrap) unstable; urgency=medium

  [ Fabien Potencier ]
  * Make {} optional for the types tag
  * Fix constant() behavior when used with ??
  * Deprecate Twig\ExpressionParser::parseOnlyArguments() and
    Twig\ExpressionParser::parseArguments()
  * Add ForElseNode
  * Deprecate Token::getType()
  * [SECURITY] Fix a security issue where escaping was missing when using ??
    [CVE-2025-24374]
  * Prepare the 3.19.0 release

  [ Jérôme Tamarelle ]
  * Add `LastModifiedExtensionInterface` and implementation in
    `AbstractExtension` to track modification of runtime classes

  [ Lorenz ]
  * invoke filter

  [ Nicolas Grekas ]
  * Ignore static properties when using the dot operator

  [ David Prévot ]
  * Drop versioned dependency for autopkgtest

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 18:59:21 +0100

php-twig (3.18.0-7) unstable; urgency=medium

  * Expect recent PHPUnit for debci

 -- David Prévot <taffit@debian.org>  Wed, 15 Jan 2025 09:25:20 +0100

php-twig (3.18.0-6) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 08:01:46 +0100

php-twig (3.18.0-5) unstable; urgency=medium

  * arch:all upload for bootstrapping

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2025 22:22:23 +0100

php-twig (3.18.0-4) unstable; urgency=medium

  * Compatibility with PHPUnit 11 (Closes: #1039841)

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2025 12:56:00 +0100

php-twig (3.18.0-3) unstable; urgency=medium

  * Drop listeners from phpunit.xml (Closes: #1039841)

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2025 14:17:29 +0100

php-twig (3.18.0-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Wed, 01 Jan 2025 12:50:20 +0100

php-twig (3.18.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Add a way to stream template rendering
  * Ignore exceptions from undefined handlers when using the guard tag
  * Fix unary operator precedence change
  * Prepare the 3.18.0 release

 -- David Prévot <taffit@debian.org>  Wed, 01 Jan 2025 12:21:13 +0100

php-twig (3.17.1-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Thu, 19 Dec 2024 22:34:40 +0100

php-twig (3.17.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.17.1 release

  [ Nicolas Grekas ]
  * Add BC break note in CHANGELOG for 3.15

 -- David Prévot <taffit@debian.org>  Thu, 19 Dec 2024 19:11:34 +0100

php-twig (3.15.0-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Wed, 27 Nov 2024 13:21:41 +0100

php-twig (3.15.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.15.0 release

  [ David Prévot ]
  * Drop tests related to SpanishInflector

 -- David Prévot <taffit@debian.org>  Thu, 21 Nov 2024 13:32:20 +0100

php-twig (3.14.2-3) unstable; urgency=medium

  * Update expected output
  * Depend on latest symfony for debci

 -- David Prévot <taffit@debian.org>  Sun, 17 Nov 2024 09:43:48 +0100

php-twig (3.14.2-2) unstable; urgency=medium

  * Source-only upload for testing migration
  * Update previous changelog entry to document #1086884.

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2024 10:29:34 +0100

php-twig (3.14.2-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Fix a security issue when an included sandboxed template has been loaded
    before without the sandbox context [CVE-2024-51754] (Closes: #1086884)
  * Prepare the 3.14.2 release

  [ Nicolas Grekas ]
  * Sandbox ArrayAccess and do sandbox checks before isset() checks
    [CVE-2024-51755]

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2024 08:01:21 +0100

php-twig (3.14.0-4) unstable; urgency=medium

  * Use installed package even for tests (Closes: #1085000)
  * Force recent symfony for debci

 -- David Prévot <taffit@debian.org>  Sun, 13 Oct 2024 09:20:42 +0100

php-twig (3.14.0-3) unstable; urgency=medium

  * Upload to unstable
  * Update expected test output (Closes: #1084317)

 -- David Prévot <taffit@debian.org>  Thu, 10 Oct 2024 12:00:24 +0100

php-twig (3.14.0-2) experimental; urgency=medium

  * Ship missing CallableArgumentsExtractor.php file

 -- David Prévot <taffit@debian.org>  Sun, 22 Sep 2024 11:56:40 +0200

php-twig (3.14.0-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Deprecate Environment::mergeGlobals()
  * Add the possibility to reset globals
  * Fix a security issue when an included sandboxed template has been loaded
    before without the sandbox context [CVE-2024-45411] (Closes: #1081561)
  * Prepare the 3.14.0 release

 -- David Prévot <taffit@debian.org>  Sat, 14 Sep 2024 09:40:39 +0200

php-twig (3.13.0-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.13.0 release

  [ Jeroen Versteeg ]
  * Add types tag

 -- David Prévot <taffit@debian.org>  Mon, 09 Sep 2024 07:53:45 +0200

php-twig (3.11.0-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Deprecate CallExpression::compileArguments
  * Add support for yielding from a generator in PrintNode
  * Fix optimizer mode validation in OptimizerNodeVisitor
  * Add the possibility to deprecate attributes and nodes on Node
  * Prepare the 3.11.0 release

  [ Pierre ]
  * Issue #3828: Add sequence and mapping tests

  [ Simon André ]
  * Deprecate NameExpression internal methods
  * Add new "find" filter

  [ Mathieu Santostefano ]
  * feat(string-extra): Add singularize and pluralize filter

  [ sarah-eit ]
  * Add shuffle filter

  [ Quentin D. ]
  * Introduce ChainCache and ReadOnlyFilesystemCache

 -- David Prévot <taffit@debian.org>  Mon, 12 Aug 2024 12:19:27 +0200

php-twig (3.10.3-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Fix old escaper signature + add docs
  * Prepare the 3.10.3 release

  [ Nicolas Grekas ]
  * Fix parse error in generated code when using CaptureNode

 -- David Prévot <taffit@debian.org>  Thu, 16 May 2024 18:42:12 +0200

php-twig (3.10.1-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Extract the escaping logic to a runtime
  * Add needs_charset option for filters and functions
  * Make some CoreExtension methods part of the public API
  * Fix EscaperExtension constructor to not change from previous releases
    (will be the same in 4.x as well)
  * Fix constant return type
  * Fix BC break on escaper extension
  * Prepare the 3.10.1 release

  [ Daniel Penning ]
  * synchronize sourceContext

  [ Nicolas Grekas ]
  * Fix capturing output from extensions that still use echo

 -- David Prévot <taffit@debian.org>  Mon, 13 May 2024 08:54:52 +0200

php-twig (3.9.3-1) experimental; urgency=medium

  * Upgrade to experimental since it breaks current phpmyadmin

  [ Fabien Potencier ]
  * Throws proper Twig exception when using cycle on an empty array
  * Add a deprecation notice when using AbstractNodeVisitor
    (deprecated since 2.9)
  * Deprecate passing a Template instance in Environment::resolveTemplate()
    and Template::loadTemplate()
  * Fix compat with PHP 8.4
  * Fix CaptureNode for some use cases
  * Fix usage of display_end hook
  * Prepare the 3.9.3 release

  [ Francesco Sardara ]
  * Add twig_escape_filter_is_safe() as deprecated.

  [ David Prévot ]
  * Drop signature check (latest upstream tag is not GPG-signed)
  * Update Standards-Version to 4.7.0
  * Update autoload build and dependencies

 -- David Prévot <taffit@debian.org>  Fri, 26 Apr 2024 07:48:39 +0200

php-twig (3.8.0-3) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 06 Mar 2024 12:10:24 +0100

php-twig (3.8.0-2) unstable; urgency=medium

  * Skip failing test without composer install

 -- David Prévot <taffit@debian.org>  Mon, 08 Jan 2024 22:52:03 +0100

php-twig (3.8.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.8.0 release

  [ Christian Flothmann ]
  * allow Symfony 7 packages to be installed
  * restore return type annotations

  [ Jérôme Tamarelle ]
  * Use is_iterable when possible

  [ Michael Bolli ]
  * fix `NumberFormatter::TYPE_CURRENCY` being deprecated in PHP 8.3

  [ Yaakov Saxon ]
  * Fix premature loop exit in Security Policy lookup of allowed
    methods/properties

  [ Jeroen Versteeg ]
  * Fix IntlExtension::formatDateTime use of date formatter prototype

  [ Drew Richards ]
  * Catch errors thrown during template rendering

  [ David Prévot ]
  * Revert "Require recent php-symfony-intl for changed tests"

 -- David Prévot <taffit@debian.org>  Fri, 24 Nov 2023 08:09:13 +0100

php-twig (3.7.1-3) unstable; urgency=medium

  * Require recent php-symfony-intl for changed tests

 -- David Prévot <taffit@debian.org>  Mon, 20 Nov 2023 07:47:02 +0100

php-twig (3.7.1-2) unstable; urgency=medium

  * Fix tests with current Symfony

 -- David Prévot <taffit@debian.org>  Fri, 10 Nov 2023 07:33:55 +0100

php-twig (3.7.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.7.1 release

  [ David Prévot ]
  * Clean .phpunit.cache/ directory

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 03:23:36 +0530

php-twig (3.7.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.7.0 release

  [ Ryan Weaver ]
  * Adding support for the ...spread operator on arrays and hashes

 -- David Prévot <taffit@debian.org>  Thu, 27 Jul 2023 13:58:54 +0200

php-twig (3.6.1-1) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released

  [ Fabien Potencier ]
  * Prepare the 3.6.1 release

  [ Phil E. Taylor ]
  * suppress native return type deprecation msg

 -- David Prévot <taffit@debian.org>  Sat, 10 Jun 2023 08:54:30 +0200

php-twig (3.6.0-1) experimental; urgency=medium

  * Upload new minor to experimental during the freeze

  [ Fabien Potencier ]
  * Prepare the 3.6.0 release

  [ Tobias Meindl ]
  * Allow psr/container 2.0.2

 -- David Prévot <taffit@debian.org>  Thu, 04 May 2023 19:11:35 +0200

php-twig (3.5.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.5.1 release

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Sat, 11 Feb 2023 07:38:40 +0100

php-twig (3.5.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Add Compile::reset()
  * Prepare the 3.5.0 release

 -- David Prévot <taffit@debian.org>  Thu, 29 Dec 2022 13:19:02 +0100

php-twig (3.4.3-2) unstable; urgency=medium

  * Adapt expected output for new ICU (Closes: #1026752)

 -- David Prévot <taffit@debian.org>  Wed, 21 Dec 2022 13:53:18 +0100

php-twig (3.4.3-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Fix a security issue on filesystem loader (possibility to load a
    template outside a configured directory)
    [CVE-2022-39261] (Closes: #1020991)
  * Prepare the 3.4.3 release

  [ David Prevot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <dprevot@evolix.fr>  Fri, 30 Sep 2022 10:59:34 +0200

php-twig (3.4.2-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.4.2 release

  [ Ben Thomson ]
  * Allow inherited magic method to still run with calling class

 -- David Prévot <taffit@debian.org>  Fri, 12 Aug 2022 14:22:09 +0200

php-twig (3.4.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.4.1 release

  [ David Prévot ]
  * Match current ICU output (Closes: #1011899)

 -- David Prévot <taffit@debian.org>  Thu, 26 May 2022 21:29:10 +0200

php-twig (3.3.9-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.3.9 release

 -- David Prévot <taffit@debian.org>  Mon, 04 Apr 2022 08:15:18 +0200

php-twig (3.3.8-2) unstable; urgency=medium

  * Handle extra tests autoload for CI

 -- David Prévot <taffit@debian.org>  Mon, 07 Feb 2022 14:45:43 -0400

php-twig (3.3.8-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Disallow non closures in `sort` filter when the sanbox mode is enabled
  * Prepare the 3.3.8 release

  [ David Prévot ]
  * Ensure phpunit.xml.dist usage

 -- David Prévot <taffit@debian.org>  Sat, 05 Feb 2022 06:18:49 -0400

php-twig (3.3.7-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.3.7 release

 -- David Prévot <taffit@debian.org>  Mon, 03 Jan 2022 18:44:55 -0400

php-twig (3.3.6-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Bump license year
  * Prepare the 3.3.6 release

  [ Michał Jusięga ]
  * allow translation-contracts:^3

  [ David Prévot ]
  * Simplify pkg-php-tools overrides
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Mon, 03 Jan 2022 11:23:00 -0400

php-twig (3.3.4-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.3.4 release

 -- David Prévot <taffit@debian.org>  Thu, 25 Nov 2021 18:01:45 -0400

php-twig (3.3.3-3) unstable; urgency=medium

  * Allow stderr during CI for phabtpl

 -- David Prévot <taffit@debian.org>  Thu, 25 Nov 2021 00:28:35 -0400

php-twig (3.3.3-2) unstable; urgency=medium

  * Upload source only

 -- David Prévot <taffit@debian.org>  Wed, 24 Nov 2021 10:46:06 -0400

php-twig (3.3.3-2~stage1) unstable; urgency=medium

  * Upload to unstable in sync with Symfony 5
  * Use SYMFONY_DEPRECATIONS_HELPER=weak for PHP 8.1
  * Drop php-twig-extensions break (not in Debian anymore)
  * Fix php-twig-cache-extra homepage

 -- David Prévot <taffit@debian.org>  Fri, 19 Nov 2021 17:56:22 -0400

php-twig (3.3.3-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.3.3 release

  [ David Prévot ]
  * Install dh-sequence-* instead of using dh --with
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Sat, 09 Oct 2021 14:21:59 -0400

php-twig (3.3.2-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.3.2 release

  [ Colin O'Dell ]
  * Allow installation of league/html-to-markdown 5.x

  [ David Prévot ]
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Fri, 21 May 2021 14:19:02 -0400

php-twig (3.3.0-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.3.0 release

  [ David Prévot ]
  * Simplify gbp import-orig workflow
  * Verify upstream signed tag on import
  * Update packaging to new dependency

 -- David Prévot <taffit@debian.org>  Mon, 08 Feb 2021 17:29:16 -0400

php-twig (3.2.1-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Bump copyright year
  * Move things around
  * Add a cache tag
  * Prepare the 2.14.3 release

  [ David Prévot ]
  * Update copyright
  * Adapt to new upstream distribution path
  * Use LC_ALL=en_US for intl tests
  * Install /u/s/p/autoloaders file
  * Add php-twig-cache-extra

 -- David Prévot <taffit@debian.org>  Thu, 07 Jan 2021 20:53:10 -0400

php-twig (3.1.1-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.1.1 release

  [ David Prévot ]
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Sat, 21 Nov 2020 15:45:58 -0400

php-twig (3.0.5-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.0.5 release

  [ Jérôme TAMARELLE ]
  * Fix compatibility with PHPUnit 10

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Build-Depend on recent phpunit

 -- David Prévot <taffit@debian.org>  Wed, 16 Sep 2020 16:18:45 -0400

php-twig (3.0.4-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Fix PHP 8 compat
  * Prepare the 3.0.4 release

  [ Nicolas Grekas ]
  * Sync LICENSE with GitHub template

  [ David Prévot ]
  * Set Rules-Requires-Root: no.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Use --sourcedirectory instead of --sourcedir
  * Update copyright
  * Fix unindented list in extended description

 -- David Prévot <taffit@debian.org>  Wed, 08 Jul 2020 01:56:34 -0400

php-twig (3.0.3-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Bump license year
  * Prepare the 3.0.3 release

  [ David Prévot ]
  * Update Standards-Version to 4.5.0
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2020 12:16:21 -1000

php-twig (3.0.1-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.0.1 release

  [ David Prévot ]
  * Add php-symfony-string build-dependency (Closes: #947468)
  * Update test dependencies
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit
  * Breaks php-twig-extensions (Closes: #946301)
  * Ignore Intl testsuite for now

 -- David Prévot <taffit@debian.org>  Sun, 29 Dec 2019 17:13:50 +1100

php-twig (3.0.0-2) experimental; urgency=medium

  * Add extra packages

 -- David Prévot <taffit@debian.org>  Sat, 16 Nov 2019 06:52:39 -1000

php-twig (3.0.0-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.0.0 release

 -- David Prévot <taffit@debian.org>  Sat, 16 Nov 2019 06:43:48 -1000

php-twig (3.0.0~beta1-1) experimental; urgency=medium

  * Upload beta to experimental

  [ Fabien Potencier ]
  * Prepare the 3.0.0-BETA1 release

  [ David Prévot ]
  * Track pre-releases
  * Drop PSR-0 compatibility removed upstream

 -- David Prévot <taffit@debian.org>  Tue, 12 Nov 2019 19:57:45 -1000

php-twig (2.12.2-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.12.2 release

  [ David Prévot ]
  * Update copyright
  * d/control: Drop versioned dependency satisfied in stable

 -- David Prévot <taffit@debian.org>  Tue, 12 Nov 2019 18:03:58 -1000

php-twig (2.12.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.12.1 release

  [ Barry vd. Heuvel ]
  * Update .gitattributes to remove tests from \"dist\"

  [ David Prévot ]
  * Document gbp import-ref usage

 -- David Prévot <taffit@debian.org>  Sat, 19 Oct 2019 16:36:34 -1000

php-twig (2.12.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.12.0 release

  [ David Prévot ]
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1
  * Adapt phpab call to new upstream tests path

 -- David Prévot <taffit@debian.org>  Mon, 07 Oct 2019 16:21:21 -1000

php-twig (2.11.3-3) unstable; urgency=medium

  * Declare php-twig-doc as Multi-Arch: foreign
  * Compatibility with recent PHPUnit (8)
  * Add self to Uploaders

 -- David Prévot <taffit@debian.org>  Sat, 14 Sep 2019 01:13:15 -1000

php-twig (2.11.3-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Jul 2019 17:27:56 -0300

php-twig (2.11.3-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.11.3 release

 -- David Prévot <taffit@debian.org>  Sun, 23 Jun 2019 16:34:56 -1000

php-twig (2.11.2-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.11.2 release

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Mon, 17 Jun 2019 09:30:32 -1000

php-twig (2.10.0-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.10.0 release

 -- David Prévot <taffit@debian.org>  Wed, 15 May 2019 21:37:39 -1000

php-twig (2.9.0-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.9.0 release

 -- David Prévot <taffit@debian.org>  Sat, 04 May 2019 12:04:35 -1000

php-twig (2.8.1-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.8.1 release

  [ David Prévot ]
  * Document renaming rationale in previous changelog entry

 -- David Prévot <taffit@debian.org>  Thu, 18 Apr 2019 04:13:50 +0900

php-twig (2.7.4-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.7.4 release

  [ David Prévot ]
  * Document CVE in previous changelog entry
  * Rename package as php-twig, since an unrelated twig package used to be in
    the archive over ten years ago. Starting with (at least) 2.7.2, the
    uniqueness of version number is not guaranteed anymore, thus violating
    Policy 3.2.2.

 -- David Prévot <taffit@debian.org>  Sat, 23 Mar 2019 08:33:01 -1000

twig (2.7.2-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * added TemplateWrapper::getTemplateName()
  * prepared the 2.7.2 release

 -- David Prévot <taffit@debian.org>  Wed, 13 Mar 2019 16:02:05 -1000

twig (2.7.1-1) experimental; urgency=medium

  * Team upload, to experimental during the freeze

  [ Fabien Potencier ]
  * switched to namespace first, PSR-0 as a fallback
  * fixed security issue in the sandbox [CVE-2019-9942]
  * prepared the 2.7.1 release

  [ David Prévot ]
  * Use /usr/share/dpkg/default.mk instead of dpkg-parsechangelog
  * Use PSR-4 by default
  * Unify tests calls

 -- David Prévot <taffit@debian.org>  Tue, 12 Mar 2019 18:19:33 -1000

twig (2.6.2-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.6.2 release

  [ David Prévot ]
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Wed, 16 Jan 2019 06:09:02 -1000

twig (2.6.0-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.6.0 release

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Use https in debian/
  * Use debian/clean for directories
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Wed, 19 Dec 2018 08:10:27 +1100

twig (2.5.0-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * fixed website URL
  * added the Symfony ctype polyfill as a dependency
  * prepared the 2.5.0 release

  [ David Prévot ]
  * Update Homepage URL
  * Update Standards-Version to 4.1.5
  * Depend on php-ctype instead of php-symfony-polyfill-ctype

 -- David Prévot <taffit@debian.org>  Sun, 15 Jul 2018 20:55:09 +1200

twig (2.4.8-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.8 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Sat, 28 Apr 2018 17:01:39 -1000

twig (2.4.7-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.7 release

 -- David Prévot <taffit@debian.org>  Fri, 30 Mar 2018 12:32:10 -1000

twig (2.4.6-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.6 release

  [ David Prévot ]
  * Add missing dependency for ci (Closes: #889833)
  * Update copyright (years)
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

  [ Miguel Piedrafita ]
  * Update license year

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 22:00:33 -1000

twig (2.4.4-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable in sync with symfony
  * Update needed build-dependencies for the tests (Closes: #882941)

 -- David Prévot <taffit@debian.org>  Thu, 30 Nov 2017 14:37:17 -1000

twig (2.4.4-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.4 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.1
  * Update CI call
  * Build-Depend on python3-sphinx instead of python-sphinx

 -- David Prévot <taffit@debian.org>  Fri, 20 Oct 2017 11:20:18 -1000

twig (2.4.3-1) experimental; urgency=medium

  * Team upload to experimental, for symfony 3.3

  [ Fabien Potencier ]
  * prepared the 2.4.3 release

  [ David Prévot ]
  * d/control: Add a trivial get-orig-source target
  * Update copyright
  * Drop references to packages not part of stable
  * Don’t depend on php-symfony-polyfill-mbstring
  * Install psr-4 classes in Twig/psr-4
  * d/rules: drop now useless -indep suffix
  * Drop double phpunit test call
  * Install documentation in /usr/share/doc/php-twig
  * Update Standards-Version to 4.1.0
  * Drop mention of Twig/Autoloader.php removed upstream

 -- David Prévot <taffit@debian.org>  Tue, 29 Aug 2017 18:30:18 -1000

twig (1.24.0-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * Finish the transition to PHP 7.0
  * Disable building PHP extension until it's rewritten
    for PHP 7.0 (Closes: #821630)

  [ Daniel Beyer ]
  * No longer mention the removed twig PHP C extension in README.Debian

 -- Daniel Beyer <dabe@deb.ymc.ch>  Fri, 22 Apr 2016 14:13:35 +0200

twig (1.24.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * prepared the 1.24.0 release

  [ Daniel Beyer ]
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Update d/copyright (years, people)
  * PHP 7 transition:
    - No longer recommend (but suggest) php5-twig for php-twig
    - Add dependencies (build and runtime) against php-mbstring
    - Run build tests with PHP 5 and PHP 7
    - Run DEP-8 (as-installed) tests for PHP 7 and PHP 5

 -- Daniel Beyer <dabe@deb.ymc.ch>  Wed, 30 Mar 2016 05:47:53 +0200

twig (1.23.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * prepared the 1.23.1 release

  [ Daniel Beyer ]
  * Support composer style autoloading for build time tests
  * Support composer style autoloading for DEP-8 (as-installed) tests
  * Drop DEP-8 patch (no longer needed)
    - Use-installed-class-for-DEP-8-tests.patch

  [ David Prévot ]
  * Overwrite bootstrap to simplify PHPUnit calls
  * Use locales-all to run all tests

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 15 Nov 2015 18:14:59 +0100

twig (1.20.0-1) unstable; urgency=low

  * New upstream version:
    - Fixes issues with volatile tests during build time (Closes: #795950)
    - Forbid access to the Twig environment from templates and internal
      parts of Twig_Template
    - Fixes limited remote code execution when in sandbox mode

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 16 Aug 2015 16:09:57 +0200

twig (1.18.1-1) unstable; urgency=medium

  * Team upload, as needed by symfony

  [ Fabien Potencier ]
  * prepared the 1.18.1 release

  [ Julien Pauli ]
  * Fixed memory leaks

  [ David Prévot ]
  * Provide homemade static autoload.php
  * Review copyright
  * Use dh-php5 instead of homemade handling
  * Use dh_sphinxdoc instead of homemade handling
  * Actually install Test for Twig

 -- David Prévot <taffit@debian.org>  Mon, 18 May 2015 23:11:02 -0400

twig (1.16.2-1) unstable; urgency=low

  * New upstream version.
  * Improve handling of Vcs-Git:
    - Introduced a new branch 'master' in Vcs-Git, which is based upon
      upstream's git repository and adds the Debian packaging on top.
    - Dropped 'debian-sid' and 'upstream-sid' branches in favour of the
      new and more common branches 'master' and 'upstream' in Vcs-Git.
    - Simplifyied git-buildpackage configuration found in debian/gbp.conf.
    - Added instructions how to update the package to a new upstream
      release in debian/README.source.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Add automatic as-installed package testing (DEP-8).
  * Update address of upstream's VCS.

 -- Daniel Beyer <dabe@deb.ymc.ch>  Tue, 21 Oct 2014 08:14:27 +0200

twig (1.16.0-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Beyer <dabe@deb.ymc.ch>  Wed, 30 Jul 2014 17:19:24 +0200

twig (1.15.1-1) unstable; urgency=low

  * Initial release. (Closes: #645883)

 -- Daniel Beyer <dabe@deb.ymc.ch>  Wed, 23 Apr 2014 19:36:55 +0200
